# Class Underline

#### Hierarchy

- XmlComponent
  - Underline

- Defined in src/file/paragraph/run/underline.ts:25

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Underline(underlineType?: UnderlineType, color?: string): Underline

- #### Parameters

  - ##### underlineType: UnderlineType = UnderlineType.SINGLE

  - ##### `Optional` color: string

  #### Returns Underline

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/run/underline.ts:26

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc